use crate::{linux::arch_chroot, print_status};

pub fn setup_navos() {
    // pacman.conf
    print_status("Copying pacman.conf");
    std::fs::copy("/etc/pacman.conf", "/mnt/etc/pacman.conf").unwrap();

    // import keys
    print_status("Importing pkg keys");
    std::fs::write(
        "/mnt/usr/share/pacman/keyrings/navos.gpg",
        include_str!("../../navos.gpg"),
    )
    .unwrap();

    arch_chroot(
        &[
            "pacman-key",
            "--add",
            "/usr/share/pacman/keyrings/navos.gpg",
        ],
        None,
        false,
    );

    arch_chroot(
        &[
            "pacman-key",
            "--lsign-key",
            "778D9D7E5B6AC3762BB5541FEE446EC749C4AE00",
        ],
        None,
        false,
    );

    // remove os-release
    print_status("Removing os-release");
    std::fs::remove_file("/mnt/etc/os-release").unwrap();
}
